(function(){
 'use strict';

 var Ld = sLoader;
 var Cons = Ld.use('console');


 function test(message,code){
  try{
   eval(code);
  }
  catch(e){
   Ld.die(message);
  }
 }


// Closure Compilerがvarに書き換えるので不要になった。
// ``文字列も""に書き換えられるので問題なし。
// test('ES6 "const" required.', 'const c = 1;');
// test('ES6 "let" required.', 'let c = 1;');


 // Object.assign
 // C45, F34, I-, E, O32, S9  / A- C45 F34 I- O- S 


 // mix-blend-mode
 // firefox 32, 


 // File API
 if ( !(window.File && window.FileReader && window.FileList && window.Blob) ) {
  Ld.die('HTML5 File API required');
 }


 // URL


 // Canvas
 var el = document.createElement('canvas');
 if ( !el || !el.getContext || !el.getContext('2d') ){
  Ld.die('HTML5 Canvas required');
 }


 // localStrage
 try{
  var hoge = "__hogehoge__";
  localStorage.setItem(hoge,hoge);
  localStorage.removeItem(hoge);
 }
 catch(e) {
  Ld.die('HTML5 localStorage required');
 }


})();
